jump to navigation

Configurar Impresora En Ubuntu 9.04 08/24/2009

Posted by linopensoft in Tutoriales.
trackback

Saludos a todos. Soy usuario de linux y hace como 8 meses instale ubuntu en mi coputadora y en mi casa tenemos  una canon ip1800 y una ip1300 y no las lograba hacer imprimir hasta que hace poco buscando en la red encontre un buen tutorial de como hacer funcionar una ip1300 en yo lo segui paso a paso y me funciono perfectamente.

Y recordando que ambas impresoras ocupan el mismo cabezal de impresion me aventure a hacer el mismo procedimiento con la ip1800 obteniendo el mismo resultado. Para quienes les sea util he aqui el texto original:

Como pre-requisito debemos tener instalado alien, esto es para convertir archivos de *rpm a *.deb que son los que se instalan en Debian y Ubuntu, si no lo tienen instalado pueden hacerlo de esta forma (como root):
#aptitude install alien
pueden hacerlo con el comando aptitude o con el comando apt-get. Una vez tenemos alien instalado en nuestro ordenador, pues manos a la obra.
1-Descargamos los archivos de Canon de http://linux.ues.edu.sv/servidor/maracosas/kradssen/descargas/canon_iP13…

2-Luego en una consola nos situamos en el directorio donde descargamos el archivo y lo descomprimimos (como usuario):
$tar -xf iP2200_Linux_260.tar.gz

3-De los archivos descomprimidos eliminaremos el archivo cnijfilter-common-2.60-1.src.rpm
$rm cnijfilter-common-2.60-1.src.rpm

4-Convertiremos los archivos restantes de archivo.rpm a archivo.deb, (como root):
#alien -d -c *.rpm

5-Una vez que se han creado los archivos .deb los instalaremos (como root):
#dpkg -i *.deb

6-Luego instalaremos el paquete libgtk1.2 (como root):
#aptitude install libgtk1.2

Lo probable es que surjan algunos problemas de dependencias, si entran al aptitude les marcara que hay unas dependencias no satisfechas y hay paquetes que se eliminarían por ello, para corregir esto hay dos opciones, o bien modificar nuestro sources.list para que en lugar de descargar paquetes de la versión estable (etch) lo haga de la testing(Lenny) o descargar los paquetes desde este link:
http://linux.ues.edu.sv/servidor/maracosas/kradssen/descargas/canon_iP13… que son los que tuve que instalar.

Si descargaron los paquetes del link solo bastara con descomprimir e instalar los paquetes que vienen en el archivo dependencias.tar.gz(como root):
#tar -xf dependencias.tar.gz
#dpkg -i *.deb
Cabe aclarar que si lo haces modificando tu sources.list debes tener cuidado de no actualizar otros paquetes que no tengan nada que ver, los paquetes que sería necesario actualizar son :
binutils libc6 libc6-dev libc6-i686 libcupsys2 libgnutls13 libkeyutils1 libkrb53 libopencdk10 linux-libc-dev locales_2.6.1 zlib1g zlib1g-dev

7-Una vez ya instalados los paquetes y las dependencias procedemos a corregir algunos enlaces (como root):
#ln -s /usr/lib/libpng12.so.0 /usr/lib/libpng.so.3
#ln -s /usr/lib/libxml2.so.2 /usr/lib/libxml.so.1
#ln -s /usr/lib/libpng12.so.0 /usr/lib/libpng.so.2
#ln -s /usr/lib/libtiff.so.4 /usr/lib/libtiff.so.3

8-Reiniciamos cupsd (como root):
#killall cupsd
#cupsd

9-ahora solo resta que vayan a Centro de Control y agreguen su impresora que esta vez sera detectada y como driver aparecerá iP2200.

Esto también funciona en Ubuntu y las fuentes donde averigüe están en estas direcciones:
http://forums.linux-foundation.org/read.php?25,1032 –>tomado del post de Reinaldo
http://ubuntuforums.org/showthread.php?p=3450617
http://linux.ues.edu.sv/?q=node/79 –> tomado del blog de kradssen

Anuncios
A %d blogueros les gusta esto: